Bug 1866548 - Cluster Settings unit test does not test new features
Summary: Cluster Settings unit test does not test new features
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-05 21:04 UTC by Robb Hamilton
Modified: 2020-10-27 16:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:25:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6233 0 None closed Bug 1866548: Update Cluster Settings unit test to reflect new design changes 2020-08-24 02:23:17 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:25:24 UTC

Description Robb Hamilton 2020-08-05 21:04:45 UTC
Description of problem:  The Cluster Settings unit test does not test the new features added in 4.6 and should be updated accordingly.

Comment 4 Yanping Zhang 2020-08-21 08:26:41 UTC
@Robb, do you know where we can get the unit test job log to check the fix part is executed?

Comment 5 Robb Hamilton 2020-08-21 12:59:17 UTC
@Yanping, unfortunately, Prow does not log successful runs of the unit tests.  We're looking at adding that functionality.  In the mean time, you can assume that the tests are successful if there are no errors logged in Prow *or* run the tests locally (see https://github.com/openshift/console#unit-tests).

Comment 6 Robb Hamilton 2020-08-21 14:09:26 UTC
@Yanping, https://github.com/openshift/console/pull/6396 adds a jUnit report for the unit tests.  Once it merges, you'll be able to see the report in Prow.  \o/

Comment 7 Yanping Zhang 2020-08-24 03:02:46 UTC
@Robb, Thanks for your info. Check log in https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_console/6396/pull-ci-openshift-console-master-frontend/1296910269380825088, the new added Unit test for cluster setting page have been executed successfully.
The bug is fixed.

Comment 9 errata-xmlrpc 2020-10-27 16:25:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.